#!/usr/bin/python

import unittest
from seqtool import align2dictpos
from seqtool import align2dictslots

class ModTest(unittest.TestCase):
    
    def testalign2dictpos1(self):
        align =  { 'seq1': 'A', 'seq2': 'A' }
        refresult = { 'seq1': [ 0 ], 'seq2': [ 0 ] }
        result = align2dictpos(align)
        self.assertEqual(refresult, result)
        
    def testalign2dictpos2(self):
        align =  { 'seq1': 'A.C', 'seq2': '.ADZ.' }
        refresult = { 'seq1': [ 0, '.', 1 ], 'seq2': [ '.', 0, 1, 2, '.' ] }
        result = align2dictpos(align)
        self.assertEqual(refresult, result)
        
    def testalign2dictslots1(self):
        align =  { 'seq1': 'A', 'seq2': 'A' }
        refresult = { 'seq1': [ 0 ], 'seq2': [ 0 ] }
        result = align2dictslots(align)
        self.assertEqual(refresult, result)
        
    def testalign2dictslots2(self):
        align =  { 'seq1': 'A.C', 'seq2': '.ADZ.' }
        refresult = { 'seq1': [ 0, 2 ], 'seq2': [ 1, 2, 3 ] }
        result = align2dictslots(align)
        self.assertEqual(refresult, result)
        
if __name__ == '__main__':
    unittest.main()